## changeme 1.2.1

=== requirements.txt ===
cerberus
jinja2
logutils
lxml
netaddr
nose
paramiko
psycopg2
pymongo
pyodbc
pysnmp
python-libnmap
python-memcached
pyyaml
redis
requests
selenium
shodan
sqlalchemy
tabulate

## changeme 1.1.1

=== debian/changelog ===
changeme (1.1.1-2) unstable; urgency=medium

  * d/changeme.manpages: forgot to add manpage
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Mon, 18 Jun 2018 19:45:40 -0300

changeme (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1 (closes: #898680)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 15 Jun 2018 00:46:10 -0300

changeme (0.6.0-0kali1) kali-dev; urgency=medium

  * Initial release (Closes 3246)

 -- Sophie Brun <sophie@freexian.com>  Fri, 19 May 2017 10:22:08 +0200

=== debian/control ===
Source: changeme
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all
Standards-Version: 4.1.4.1
Homepage: https://github.com/ztgrace/changeme
Vcs-Browser: https://salsa.debian.org/pkg-security-team/changeme
Vcs-Git: https://salsa.debian.org/pkg-security-team/changeme.git

Package: changeme
Architecture: all
Depends: python3-cerberus,
         python3-jinja2,
         python3-libnmap,
         python3-logutils,
         python3-lxml,
         python3-memcache,
         python3-netaddr,
         python3-nose,
         python3-paramiko,
         python3-psycopg2,
         python3-pymongo,
         python3-pyodbc,
         python3-pysnmp4,
         python3-redis,
         python3-requests,
         python3-selenium,
         python3-shodan,
         python3-sqlalchemy,
         python3-tabulate,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Suggests: phantomjs
Description: Default credential scanner
 This package contains a default credential scanner. Commercial vulnerability
 scanners miss common default credentials. Getting default credentials added to
 commercial scanners is often difficult and slow. changeme is designed to be
 simple to add new credentials without having to write any code or modules.
 .
 changeme keeps credential data separate from code. All credentials are stored
 in yaml files so they can be both easily read by humans and processed by
 changeme. Credential files can be created by using the ./changeme.py --mkcred
 tool and answering a few questions.
 .
 changeme supports the http/https, MSSQL, MySQL, Postgres, ssh and ssh w/key
 protocols. Use ./changeme.py --dump to output all of the currently available
 credentials.

## changeme 1.2.1

=== debian/changelog ===
changeme (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Bump DH level to 12
  * Bump Standards-Version to 4.4.0
  * Remove manpage from debian/, it's in upstream now

 -- Samuel Henrique <samueloph@debian.org>  Tue, 20 Aug 2019 22:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all
-Standards-Version: 4.1.4.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/ztgrace/changeme
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/changeme
 Vcs-Git: https://salsa.debian.org/pkg-security-team/changeme.git

=== debian/tests/control ===
Test-Command: changeme -h

## changeme 1.2.3

=== debian/changelog ===
changeme (1.2.3-7) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Switch Depends back to python3-pysnmp4 as python3-pysnmp-lextudio is
      threatened to get removed, due to the removal of its dependency
      python-pysmi-lextudio.
    - Bump Standards-Version to 4.7.2.
  * d/copyright: Add new Debian copyright holder and bump years to 2025.

 -- Sven Geuer <sge@debian.org>  Wed, 19 Mar 2025 23:43:21 +0100

changeme (1.2.3-6) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Add dependency on python3-zombie-telnetlib (Closes: #1084613)
  * Fix SyntaxWarnings (Closes: #1085415)

  [ Sven Geuer ]
  * Drop Suggests phantomjs; the package is not available any more.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 26 Nov 2024 23:06:16 +0100

changeme (1.2.3-5) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Update Depends replacing python3-pysnmp4 by python3-pysnmp-lextudio
      (Closes: #1074517).
    - Bump Standards-Version to 4.7.0.
  * d/copyright: Refresh years and copyright holders.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ANY.

 -- Sven Geuer <sge@debian.org>  Tue, 16 Jul 2024 16:39:17 +0200

changeme (1.2.3-4) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Remove useless dep python3-nose (Closes: #1070294)

 -- Sophie Brun <sophie@freexian.com>  Tue, 14 May 2024 12:15:37 +0200

changeme (1.2.3-3) unstable; urgency=medium

  * Team Upload.
  * Improve the helper-script to handle relative paths (see
    https://bugs.kali.org/view.php?id=7485)
  * Bump Standards-Version to 4.6.0 (no change)
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Jan 2022 10:33:58 +0100

changeme (1.2.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * d/t/control: Add superficial restriction (closes: #969810)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Sep 2020 18:56:37 +0100

changeme (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Bump DH to 13
  * Bump Standards Version to 4.5.0
  * Use debhelper-compat and drop d/compat
  * d/control: Add Rules-Requires-Root: no
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

 -- Samuel Henrique <samueloph@debian.org>  Thu, 30 Apr 2020 20:42:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all
-Standards-Version: 4.4.0
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/ztgrace/changeme
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/changeme
 Vcs-Git: https://salsa.debian.org/pkg-security-team/changeme.git
@@ -20,7 +21,6 @@
          python3-lxml,
          python3-memcache,
          python3-netaddr,
-         python3-nose,
          python3-paramiko,
          python3-psycopg2,
          python3-pymongo,
@@ -33,9 +33,9 @@
          python3-sqlalchemy,
          python3-tabulate,
          python3-yaml,
+         python3-zombie-telnetlib,
          ${misc:Depends},
          ${python3:Depends}
-Suggests: phantomjs
 Description: Default credential scanner
  This package contains a default credential scanner. Commercial vulnerability
  scanners miss common default credentials. Getting default credentials added to

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%changeme-$1.tar.gz%" \
   https://github.com/ztgrace/changeme/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
